﻿<?php
/**
 * 后台
 * @date 2014/02/15
 */
class Wapadmin extends Controller{
	
	//留言列表
	public function ly_list(){
		
	}
	
	//设置友链通过
	public function pasLink(){
		if(!isset($_GET['url'])){
			header('?c=wapadmin');
		}
		$url = trim($_GET['url']);
		$link = Factory::getInstance('Link');
		$link->pasLinkByUrl(1,$url);
	}
	
	/** 修改超管密码 */
	public function modAdmin(){
		$this->validate();
		$this->assign('_title','修改超管密码');
		$this->display('wap/wapadmin_modAdmin');
	}
	/**
	 * 处理修改超管密码
	 */
	public function dmAdmin(){
		$this->validate();
		if((!isset($_POST['jpwd']))||(!isset($_POST['xpwd']))){
			header('location:?c=wapadmin');
			exit();
		}
		$jpwd = $_POST['jpwd'];
		$xpwd = $_POST['xpwd'];
		if(($jpwd==null)||($xpwd==null)||( ($jpwd=trim($_POST['jpwd']))=='' )||( ($xpwd=trim($_POST['xpwd']))=='' )){
			header('location:?c=wapadmin');
			exit();
		}
		$admin = Factory::getInstance('AdminTable');
		if(($admin->isSid(md5($jpwd)))){
			$ad = Factory::getInstance('AdminTable');
			$ad->modifyPwd($xpwd);
			echo '修改成功';
		}else{
			echo '旧密码错误';
		}
	}
	
	/** 删除网站 ByUrl */
	public function delLink(){
		$this->validate();
		$url = '';
		if(isset($_GET['url'])){
			$url = trim($_GET['url']);
		}
		$link = Factory::getInstance('Link');
		if($link->deleteByUrl($url)){
			header('?c=wapadmin&a=trial');
		}
	}
	
	/** 待审核网站列表 */
	public function trial(){
		$this->validate();
		$link = Factory::getInstance('Link');
		$p = 1;
		if(isset($_GET['p'])){
			$p = trim($_GET['p']);
		}
		$ary = ($link->getTrial(0,2,$p));
		$this->assign('_trialLinks',$ary);
		$this->display('wap/wapadmin_trial');
	}
	
	//验证登录否
	private function validate(){
		if(isset($_COOKIE['cn-dh123-sid'])){
			$sid = $_COOKIE['cn-dh123-sid'];
			$admin = Factory::getInstance('AdminTable');
			$is = $admin->isSid($sid);
			if($is < 1){
				setcookie('cn-dh123-sid','',time()-36000);
				//header('location:?c=wapadmin');
				$this->assign('_title','登录后台');
				$this->assign('_error',null);
				$this->display('wap/wapadmin_login');
				exit();
			}
		}else{
			$this->assign('_title','登录后台');
			$this->assign('_error',null);
			$this->display('wap/wapadmin_login');
			exit();
		}
	}
	
	//后台主页面
	function main(){
		$this->validate();
		//echo 'OK';
		$this->display('wap/wapadmin_main');
	}
	
	//退出
	function logout(){
		setcookie('cn-dh123-sid','',time()-36000);	
		header('location:?c=wapadmin');
	}
	
	//登录
	function login(){
		if(!isset($_POST['email'])||!isset($_POST['pwd'])){
			header('location:?c=wapadmin&a=main');
		}
		$email = $_POST['email'];
		$pwd = $_POST['pwd'];
		if($email==null||$pwd==null||($email=trim($email))==''||($pwd=trim($pwd))==''){
			$this->assign('_title','登录后台');
			$this->assign('_error','*账号密码不能为空<br/>');
			$this->display('wap/wapadmin_login');
		}
		$admin = Factory::getInstance('AdminTable');
		$pwd2 = $admin->getPwdByEmail($email);
		if($pwd2!=false && $pwd2==md5($pwd)){
			//echo '登录成功';
			//saveSession('email',$email);
			setcookie('cn-dh123-sid',$pwd2);
			//echo $_SESSION['email'];
			header('location:?c=wapadmin');
			//echo '<a href="?c=wapadmin&a=main">登录成功</a>';
		}else{
			$this->assign('_title','登录后台');
			$this->assign('_error','*账号或密码错误<br/>');
			//echo 'Wapadmin.class.php.login().error';
			$this->display('wap/wapadmin_login');
			//echo 'login else';
		}
	}
	
	/** 留言列表 */
	function lyList(){
		$lyTable = Factory::getInstance('LyTable');
		$ary = $lyTable->findList(0,0,1,10);
		$this->assign('_ly_list',$ary);
		$this->display('wap/wapadmin_ly_list');
	}
	
	function lyview(){
		$this->validate();
		if(!isset($_GET['id'])){
			echo 'lyview';
			exit(0);
		}
		$id = $_GET['id'];
		$lyTable = Factory::getInstance('LyTable');
		$ary = $lyTable->find($id);
		if($ary != null){
			$this->assign('_ly',$ary);
			$this->display('wap/wapadmin_ly_view');
		}else{
			echo 'ID错误';
		}
		
	}
}
?>