﻿<?php
/**
 * 工厂类
 * @date 2014/02/10
 */
class Factory{	
	/** 
	 * @param String $className
	 * @return Object
	 */
	public static function getInstance($className){
		global $C;
		$classFile = ROOT_PATH.'/'.'org/jbing/model/'.$className.'.class.php';
		if(!file_exists($classFile)){
			exit('文件:'.$classFile.'  不存在!');	
		}
		$classA = ucwords($className);//将控制器名称中的每个单词首字母大写,来当作控制器的类名
		if(class_exists($classA) != true){
			include $classFile;
		}
		//判断类是否存在, 如果不存在提示错误   
		if(!class_exists($classA)){
			exit('文件:'.$classFile.' 中'.$classA.'类 不存在!');
		}
		return new $classA();
	}
}
?>